Uploaded image for project: 'Puppet Agent'
  1. Puppet Agent
  2. PA-2129

Vendored hiera-eyaml gem does not include executable

    Details

    • Template:
    • Team:
      Platform OS
    • Sprint:
      Platform OS Kanban
    • Method Found:
      Customer Feedback
    • Release Notes:
      New Feature
    • Release Notes Summary:
      The eyaml executable of the vendored hiera-eyaml gem is now included in the /opt/puppetlabs/puppet/bin directory.

      Description

      Problem:
      hiera-eyaml was includes with Puppet agent in PA-1925. Unfortunately, the commonly used /opt/puppetlabs/puppet/bin/eyaml executable is not included. Please include /opt/puppetlabs/puppet/bin/eyaml for ease of use with the puppet agent.

      Workaround:
      Link the installed executable.
      ln -s /opt/puppetlabs/puppet/lib/ruby/vendor_gems/bin/eyaml /opt/puppetlabs/puppet/bin/eyaml.

        Attachments

          Issue Links

            Activity

              jsd-sla-details-panel

                People

                • Assignee:
                  enis.inan Enis Inan
                  Reporter:
                  jarret.lavallee Jarret Lavallee
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  4 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:

                    Zendesk Support